/* eslint-disable camelcase */
/** 全局配置表 */
// 协议
const protocol = window.protocal ? window.protocal : process.env.NODE_ENV === 'production' ? 'http' : 'http';
// mock环境
// const mock_baseUrl = `${protocol}://101.200.54.239:7777/mock/5cff05ef3b9c0c22d4b7bbe1`;

// 开发(联调)环境
const dev_baseUrl = `${protocol}://jjh.dev.go.datounet.com`; // 开发环境
// 测试环境
const test_baseUrl = `${protocol}://jjh.dev.go.datounet.com`;// 测试环境
// 生产环境

const pro_baseUrl = `${protocol}://jjh.dev.go.datounet.com`;// 开发环境


// 静态图片域名 - OSS
export const oss_baseUrl = `${protocol}://dtselfmall.oss-cn-beijing.aliyuncs.com`;
// 项目logo
export const logo = oss_baseUrl + '/static/undefined-shop/logo.jpg';
export const staticImg = oss_baseUrl + '/static/undefined-shop/';

// api请求地址
export const baseUrl = getBaseUrl();

export const themeColor = '#E43939';

// 请求地址处理
function getBaseUrl() {
    let currentUrl = '';
    switch (process.env.NODE_ENV) {
        case 'mock':
            // eslint-disable-next-line no-undef
            currentUrl = mock_baseUrl;
            break;
        case 'development':
            currentUrl = dev_baseUrl;
            break;
        case 'test':
            currentUrl = test_baseUrl;
            break;
        case 'production':
            currentUrl = pro_baseUrl;
            break;
    }
    // 全局域名覆盖(有值就覆盖 一般不使用)
    if (window.domain) {
        console.log(999999, window.domain);
        currentUrl = `${protocol}://${window.domain}`;
    }
    return currentUrl;
}
